package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvaluationReporVo implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 三相正向有功电度
     */
    @TableField("COS")
    private Double cos;

    /**
     * A相电流
     */
    @TableField("Ia")
    private Double Ia;

    /**
     * B相电流
     */
    @TableField("Ib")
    private Double Ib;

    /**
     * C相电流
     */
    @TableField("Ic")
    private Double Ic;

    /**
     * A相电压
     */
    @TableField("Ua")
    private Double Ua;

    /**
     * B相电压
     */
    @TableField("Ub")
    private Double Ub;

    /**
     * C相电压
     */
    @TableField("Uc")
    private Double Uc;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 额定电流（A）
     */
    private Double ratedCurrent;


}
